/* ./src/include/pbs_config.h.  Generated automatically by configure.  */
/*
*         OpenPBS (Portable Batch System) v2.3 Software License
* 
* Copyright (c) 1999-2002 Veridian Information Solutions, Inc.
* All rights reserved.
* 
* ---------------------------------------------------------------------------
* For a license to use or redistribute the OpenPBS software under conditions
* other than those described below, or to purchase support for this software,
* please contact Veridian Systems, PBS Products Department ("Licensor") at:
* 
*    www.OpenPBS.org  +1 650 967-4675                  sales@OpenPBS.org
*                        877 902-4PBS (US toll-free)
* ---------------------------------------------------------------------------
* 
* This license covers use of the OpenPBS v2.3 software (the "Software") at
* your site or location, and, for certain users, redistribution of the
* Software to other sites and locations.  Use and redistribution of
* OpenPBS v2.3 in source and binary forms, with or without modification,
* are permitted provided that all of the following conditions are met.
* After December 31, 2003, only conditions 3-6 must be met:
* 
* 1. Commercial and/or non-commercial use of the Software is permitted
*    provided a current software registration is on file at www.OpenPBS.org.
*    If use of this software contributes to a publication, product, or
*    service, proper attribution must be given; see www.OpenPBS.org/credit.html
* 
* 2. Redistribution in any form is only permitted for non-commercial,
*    non-profit purposes.  There can be no charge for the Software or any
*    software incorporating the Software.  Further, there can be no
*    expectation of revenue generated as a consequence of redistributing
*    the Software.
* 
* 3. Any Redistribution of source code must retain the above copyright notice
*    and the acknowledgment contained in paragraph 6, this list of conditions
*    and the disclaimer contained in paragraph 7.
* 
* 4. Any Redistribution in binary form must reproduce the above copyright
*    notice and the acknowledgment contained in paragraph 6, this list of
*    conditions and the disclaimer contained in paragraph 7 in the
*    documentation and/or other materials provided with the distribution.
* 
* 5. Redistributions in any form must be accompanied by information on how to
*    obtain complete source code for the OpenPBS software and any
*    modifications and/or additions to the OpenPBS software.  The source code
*    must either be included in the distribution or be available for no more
*    than the cost of distribution plus a nominal fee, and all modifications
*    and additions to the Software must be freely redistributable by any party
*    (including Licensor) without restriction.
* 
* 6. All advertising materials mentioning features or use of the Software must
*    display the following acknowledgment:
* 
*     "This product includes software developed by NASA Ames Research Center,
*     Lawrence Livermore National Laboratory, and Veridian Information 
*     Solutions, Inc.
*     Visit www.OpenPBS.org for OpenPBS software support,
*     products, and information."
* 
* 7. DISCLAIMER OF WARRANTY
* 
* THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND. ANY EXPRESS
* OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
* OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT
* ARE EXPRESSLY DISCLAIMED.
* 
* IN NO EVENT SHALL VERIDIAN CORPORATION, ITS AFFILIATED COMPANIES, OR THE
* U.S. GOVERNMENT OR ANY OF ITS AGENCIES BE LIABLE FOR ANY DIRECT OR INDIRECT,
* INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
* LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA,
* OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
* LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
* NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
* EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
* 
* This license will be governed by the laws of the Commonwealth of Virginia,
* without reference to its choice of law rules.
*/
/* ./src/include/pbs_config.h.in.  Generated automatically from configure.in by autoheader.  */
#ifndef _PBS_CONFIG_H_
#define _PBS_CONFIG_H_


/* Define if type char is unsigned and you are not using gcc.  */
#ifndef __CHAR_UNSIGNED__
/* #undef __CHAR_UNSIGNED__ */
#endif

/* PBS specific: turns on the compilation of DEBUG code */
/* #undef DEBUG */

/* are FD_SET and friends defined in sys/select.h */
#define FD_SET_IN_SYS_SELECT_H 1

/* should we use setresuid instead os seteuid */
#define HAVE_SETRESUID 1
#define HAVE_SETRESGID 1
#define HAVE_SETEUID 1
#define HAVE_SETEGID 1

/* does the header file sys/ioctl.h exist */
#define HAVE_SYS_IOCTL_H 1

/* is the global int h_errno declared in netdb.h */
#define H_ERRNO_DECLARED 1

/* PBS specific: the PBS style machine type name */
#define PBS_MACH "linux"

/* PBS specific: the machine specific resc_def_* file name */
#define MACH_RESC_DEFS "resc_def_linux.c"

/* PBS specific: whether checkpointing is supported */
#define MOM_CHECKPOINT 0

/* PBS specific: Define if you will be using a nodefile */
#define NEEDNODES 0

/* PBS specific: Define to the path of the default file */
#define PBS_DEFAULT_FILE "/home/users/olivier/RPM/tmp/OpenPBS-2.3.16/var/spool/pbs/server_name"

/* PBS specific: Define to the path of the environment file */
#define PBS_ENVIRON "/home/users/olivier/RPM/tmp/OpenPBS-2.3.16/var/spool/pbs/pbs_environment"

/* PBS specific: Define if you are on a solaris box */
/* #undef PBS_PUSH_STREAM */

/* PBS specific: Define to the path of the server home dir */
#define PBS_SERVER_HOME "/home/users/olivier/RPM/tmp/OpenPBS-2.3.16/var/spool/pbs"

/* PBS specific: Select which daemons plock themselves, a bit pattern */
#define PLOCK_DAEMONS 0

/* PBS specific: Define to the path of the qstat init file */
#define QSTATRC_PATH "/home/users/olivier/RPM/tmp/OpenPBS-2.3.16/var/spool/pbs/qstatrc"

/* PBS specific: set the type of scheduler to use */
#define SCHD_TYPE "cc"

/* PBS specific: Define to the path of scp if to be used for file delivery */
/* #undef SCP_PATH */

/* PBS specific: full pathname of sendmail */
#define SENDMAIL_CMD "/usr/lib/sendmail"

/* PBS specific: set whether job scripts use a pipe */
#define SHELL_INVOKE 1

/* PBS Specific: Define if one should use NODEMASK on SGI O2k or Cray T3e */
/* #undef NODEMASK */

/* PBS specific: Define if one should use SRFS on Crays */
#define SRFS 0

/* PBS specific: Define if PBS should use syslog for error reporting */
/* #undef SYSLOG */

/* PBS specific: Define if PBS should use Tcl in its tools */
#define TCL 1

/* PBS specific: the seperator for Tcl attribute parsing */
#define TCL_ATRSEP "."

/* PBS specific: Define if PBS should build qstat with Tcl or Tclx */
/* #undef TCL_QSTAT */

/* PBS specific: Define if PBS should use Tclx in its tools */
#define TCLX 0

/* PBS specific: The pathname of the temporary directory for mom */
#define TMP_DIR "/tmp"

/* PBS specific: Define if PBS should use RPP/UDP for resource queries */
#define RPP 1

/* The number of bytes in a double.  */
#define SIZEOF_DOUBLE 8

/* The number of bytes in a float.  */
#define SIZEOF_FLOAT 4

/* The number of bytes in a int.  */
#define SIZEOF_INT 4

/* The number of bytes in a long.  */
#define SIZEOF_LONG 4

/* The number of bytes in a long double.  */
#define SIZEOF_LONG_DOUBLE 8

/* The number of bytes in a short.  */
#define SIZEOF_SHORT 2

/* The number of bytes in a signed char.  */
#define SIZEOF_SIGNED_CHAR 1

/* The number of bytes in a unsigned.  */
#define SIZEOF_UNSIGNED 4

/* The number of bytes in a unsigned char.  */
#define SIZEOF_UNSIGNED_CHAR 1

/* The number of bytes in a unsigned int.  */
#define SIZEOF_UNSIGNED_INT 4

/* The number of bytes in a unsigned long.  */
#define SIZEOF_UNSIGNED_LONG 4

/* The number of bytes in a unsigned short.  */
#define SIZEOF_UNSIGNED_SHORT 2

/* Define if you have the atexit function.  */
#define HAVE_ATEXIT 1

/* Define if you have the on_exit function.  */
/* #undef HAVE_ON_EXIT */

/* Define if you have the dl library (-ldl).  */
#define HAVE_LIBDL 1

/* Define if you have the elf library (-lelf).  */
/* #undef HAVE_LIBELF */

/* Define if you have the kvm library (-lkvm).  */
/* #undef HAVE_LIBKVM */

/* Define if you have the nsl library (-lnsl).  */
/* #undef HAVE_LIBNSL */

/* Define if you have the socket library (-lsocket).  */
/* #undef HAVE_LIBSOCKET */

#endif /* _PBS_CONFIG_H_ */
